let moment = require('moment')
module.exports = {


    friendlyName: 'Create',


    description: 'Create programme Détails!',


    inputs: {
        codeProgramme: {
            type: 'string',
            required: true,     
        },
        date: {
            type: 'string',
            required: true
        },
        heureDebut: {
            type: 'string',
            required: true
        },
        heureFin: {
            type: 'string',
            required: true
        },
        titreCours: {
            type: 'string',
            required: true
        },
        description: {
            type: 'string',
            required: true
        },
        anneeScolaire: {
            type: 'string',
            required: true
        },
    },


    exits: {
        notFound: {
            statusCode: 404
        },
    },


    fn: async function (inputs, exits) {

        //console.log("INPUTS 1", inputs)
        const { /*id, */user } = this.req.token;

        //console.log("INPUTS", inputs)
        let userCodeEcole;
        if (user.typeUser === 'ENSEIGNANT') {
            userCodeEcole = user.codeEcole
        } else {
            return exits.notFound({ message: "Vous n'etes pas autoriser a accéder a cette page!" })

        }

        // VERIFICATION DU CODE ECOLE
        if (user.codeEcole === '' || user.codeEcole === null || user.codeEcole === undefined) {
            return exits.notFound({ message: "Veuillez préciser le code Ecole pour cet utulisateur pour a accéder a cette page!" })
        }
        ecoleVerif = await Ecoles.find({ codeEcole: user.codeEcole }).then(_.first)
        if (!ecoleVerif) {
            return exits.notFound({ message: "Cet utilisateur n'est attribué a aucune ecole!" })
        }
        // FIN VERIF CODE ECOLE

        inputs.codeEcole = userCodeEcole
        ///////////////////

        let ouestDate = moment.utc(new Date()).utcOffset('+01:00')
        inputs.dateEnregistrement = moment(ouestDate, 'DD/MM/YYYY').format('YYYY-MM-DD')
        inputs.heureEnregistrement = moment(ouestDate).format('HH:mm:ss')


        let programmeVerify = await Programme.find({ codeProgramme: inputs.codeProgramme }).then(_.first)

        if (!programmeVerify) {
            return exits.notFound({ message: "Veuillez créer un Programme de cours d'abord!" })
        }


        let programmeDetails = await ProgrammeDetails.create(inputs).fetch()

        

        return exits.success(_.merge(programmeDetails));
        // All done.


    }


};
